<?php
	require_once('system/.php');
	require_once('.php');

	/// <summary>
	/// Класс содержащий информацию об ошибке. Возвращается методами вместо результата.
	/// Разработчик может создать производные классы,
	/// </summary>
	class Error extends Entity
	{
		private $_message;

		/// <summary>
		/// Конструктор класса.
		/// </summary>
		/// <param name="message">Сообщение описывающее ошибку.</param>
		function __construct($message)
		{
			$this->_message = $message;
		}

		function get_Message()
		{
			return $this->_message;
		}

		/// <summary>
		/// Переопределнный. Метод возвращает строковое представление состояния класса.
		/// </summary>
		/// <returns>Строковое представление состояния класса.</returns>
		function __toString()
		{
			return $this->_message;
		}
	}
?>